# cifticoder [04:24:13] ignatenkobrain: in connectome-workbench, we use the
# "NDEBUG" define to disable some nontrivial developer-useful code that makes
# some things noticably slower, so please add -DNDEBUG to the compile flags
%global optflags %(echo %{optflags} -DNDEBUG)

Name:           connectome-workbench
Version:        1.1.1
Release:        2%{?dist}
Summary:        Connectome Workbench

# Check README for licenses
License:        GPLv3 and MIT and BSD and LGPLv2
URL:            http://www.humanconnectome.org/software/connectome-workbench.html
Source0:        https://github.com/Washington-University/workbench/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/Washington-University/workbench/pull/13
Patch0:         0001-cmake-use-system-qwt-conditionally.patch
Patch1:         0002-cmake-use-system-ftgl-conditionally.patch
Patch2:         0003-cmake-use-system-quazip-conditionally.patch
Patch3:         0004-fix-invalid-conversion-from-QWidget-to-QwtPlotCanvas.patch
Patch4:         0005-fix-base-operand-of-has-non-pointer-type-const-QwtSc.patch
BuildRequires:  git-core
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel
BuildRequires:  qtwebkit-devel
BuildRequires:  glib2-devel
BuildRequires:  zlib-devel
BuildRequires:  freetype-devel ftgl-devel
BuildRequires:  mesa-libOSMesa-devel
BuildRequires:  qwt-devel
BuildRequires:  quazip-devel

%description
Connectome Workbench is an open source, freely available visualization and
discovery tool used to map neuroimaging data, especially data generated by
the Human Connectome Project. The distribution includes wb_view, a GUI-based
visualiation platform, and wb_command, a command-line program for performing
a variety of algorithmic tasks using volume, surface, and grayordinate data.
wb_command is necessary for running HCP data processing pipelines.

%prep
%autosetup -n workbench-%{version} -S git
# Remove bundled qwt, ftgl, quazip
rm -rf src/{Qwt,FtglFont,Quazip}

# drop depending on git commit
sed -i -e '/DEPENDS ApplicationInformation.cxx.in/d' src/Common/CMakeLists.txt

# some recursion workaround
sed -i -e '/->beep/s,^,//,' src/Desktop/desktop.cxx

rm -rf src/build/
mkdir -p src/build/

%build
pushd src/build/
  # we don't need shlibs in project
  %cmake ../ -DBUILD_SHARED_LIBS:BOOL=OFF
  %make_build
popd

%install
pushd src/build/
  %make_install
popd

%check
pushd src/build/
  ctest -VV
popd

%files
%license LICENSE
%{_bindir}/wb_view
%{_bindir}/wb_command

%changelog
* Tue Nov 10 2015 Igor Gnatenko <i.gnateno.brain@gmail.com> - 1.1.1-2
- workaround libpng recursion
- Add -DNDEBUG

* Sun Nov 08 2015 Igor Gnatenko <i.gnateno.brain@gmail.com> - 1.1.1-1
- Initial package
